Bug 831477 - Use combination key to emulate "win" key in vncviewer
Use combination key to emulate "win" key in vncviewer
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
19
x86_64 Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 01:40 EDT by Mike Cao
Modified: 2015-11-22 22:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-23 11:00:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Cao 2012-06-13 01:40:45 EDT
Description of problem:
"win" key is very important for win8 ,while it was conflicted w/ gonome 3

Version-Release number of selected component (if applicable):
F17 .tigervnc-1.1.0-5.fc17.x86_64

How reproducible:
100%

Steps to Reproduce:
1.start windows 8 guest in qemu-kvm
2.press "win" key in the keyboard
3.
  
Actual results:
it works in host gnome3 ,the "win" key can not pass to the guest 

Expected results:
in vncviewer ,we can use combination key to emulate "win" key
eg. shift+ctrl ,shift+enter ,whatever.

Additional info:
Comment 1 Fedora End Of Life 2013-04-03 14:06:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Fedora Admin XMLRPC Client 2013-05-13 10:53:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Tim Waugh 2013-05-23 11:00:11 EDT
I think this is working correctly in Fedora 18: pressing the "Win" key inside a virt-manager virtual machine window sends the key to that virtual machine.

Note You need to log in before you can comment on or make changes to this bug.